Version 1.61.100 is not supported in Android 7.1.2

Description of the issue:

Under Android 7.1.2 Google Play Store does not update Brave Browser from version 1.60.125 to version 1.61.100

Steps to Reproduce: 1. 2. 3.

  1. Google Play Store
  2. Brave Browser is not listed
  3. Search for Brave Browser gives “This app will not work in your device”

Actual Result:

I cannot update Brave Browser from v1.60.125 to v1.61.100

Expected result:

Update Brave Browser from v1.60.125 to v1.61.100

Reproduces how often:

Always

Operating System and Brave Version:

Información de Brave

Versión de la aplicación
Brave 1.60.125, Chromium 119.0.6045.199
Sistema operativo
Android 7.1.2; Build/NHG47L
Información legal
Copyright © 2023 Brave LLC. Todos los derechos reservados.

Additional Information:

Up to Brave version 1.60.125 I didn’t ever have problems to update it in my Android 7.1.2 device

I have no problems to update Brave in my Android 9 64bits Smartphone, nor to sideload install Brave apk in my Android 9 Smart TV (which I sync with my Windows desktop Browser)

If only Android 8+ devices will be supported, I suggest you to alert users about this feature

image

It says it in the Google Play. And what they follow is whenever the OS itself loses support. Or you can just follow news for when Chrome or Chromium themselves stop.

https://support.google.com/chrome/thread/243346420/sunsetting-chrome-support-for-android-7-0-nougat?hl=en

I suggest you upgrade. Android 7 is from 2016. They are currently on Android 14. Old tech can only be supported for so long.

That said, agree perhaps should have an announcement in app or on page. I’m not sure why they kept quiet on Brave’s side of things. It’s something I’ll pass along and I’m sure support here also will see.

Thank you for your answer.

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.